Subject: Re: DNSEXT Minutes @ IETF-63

From: Dean Anderson <[email-masked]>
Date: Wed, 7 Sep 2005 16:01:24 -0400 (EDT)

Actually, my comments are very germane to issue of why we cannot accept
Mr.  Manning's weak assurances that the patents don't apply.

However, the IETF rules require full disclosure and we haven't had that.
Mr. Manning has indicated that he knows of patents that may apply, and so
far as I can determine, he hasn't disclosed them, but given us his
assurance that they don't apply. This assurance, in my view, can't be
accepted for the 2 reasons I listed:

First, his explanation of why the patents don't apply doesn't hold water.  
I am an acknowledged leader of a software patent organization for many
years. His attack on my credibility is unfounded, wrong, and against IETF 
rules.

Second, he is associated with people who think it is OK to deceive their
attorneys with respect to the facts of a particular situation, and have
actually done so in my personal experience.  This association cannot be
denied, and is relevant to a question of whether we should accept his
assurances about legal facts of software patents.

My message can only be seen as "not constructive" from Mr. Manning's point
of view which would rather not have examination of the actual facts nor
have any criticism however well-deserved.  However, my message is
constructive from the IETF point of view, which requires full disclosure
as well as true, correct statements from participants.

I demand full disclosure.  Only then can we see if the asserted facts are
actually true.

		--Dean

On Wed, 7 Sep 2005, Dean Anderson wrote:

> Perhaps you could chastise Mr. Manning for making an unfounded personal
> attack.
> 
> I'm just defending my credibility on software patents.
> 
> 		--Dean
> 
> On Tue, 6 Sep 2005, Ólafur Guðmundsson /DNSEXT co-chair wrote:
> 
> > 
> > Private message.
> > Dean this is not a constructive discussion, please do not send
> > messages like this one to the namedroppers mailing list.
> > Feel free to continue off line with Mr. Manning but please respect
> > his time by keeping your post to the point.
> > 
> >          thanks
> >          Olafur  (IMNAL but married to one :-))
> > 
> > 
> > At 18:23 06/09/2005, Dean Anderson wrote:
> > >Advice from the President of the League for Programming Freedom, an
> > >organization founded by Richard Stallman to fight software patents and
> > >user interface copyrights, an organization that has organized successful
> > >US Supreme Court briefs and has an extensive background and involvement in
> > >Patent, Copyright, and Trademark Law, is better than your usual arm chair
> > >advice.  However, I did advise you to consult a lawyer before doing
> > >anything that could put you at risk.
> > >
> > >But the nature of your message suggests that there is something
> > >contradictory to my advice.  What attorney has given you advice
> > >contradictory to mine?
> > >
> > >And more to the point, what attorney told you that patent issues are
> > >somehow only covering a specific implementation?
> > >
> > >It is particularly odd that you attack my credibility as "arm chair
> > >advice", yet you expect us to accept your assurances.  I can't accept your
> > >assurances.
> > >
> > >I note that on other topics involve law and networks, your associates have
> > >made misrepresentations about legal issues. In some cases that I have
> > >personally been involved with, they have misled their attorneys about the
> > >relevant facts, resulting in incorrect advice based on mis-information.
> > >And resulting in unnecessary legal conflict. When the mis-information was
> > >corrected and true facts established, their attorneys acknowledged that
> > >our view of the law was right, specifically, that they would comply with
> > >the law and they would cease and desist.
> > >
> > >Credibility is established by history of correct statements and correct
> > >analysis.  Lack of credibility is similarly established by a history of
> > >incorrect statements and association with incorrect statements. My
> > >credibility is pretty strong, having been tested over time and vindicated.
> > >Your credibility has been undermined by the repeated failures of your
> > >associates to make correct statements on other legal topics.  So, I am not
> > >very convinced when you tell us we don't have to worry about some legal
> > >issue.  I am particularly concerned about patent issues, with which I am
> > >pretty well versed.
> > >
> > >While your lawyer may have told you something, it has been the case
> > >previously that your associates misled their own lawyers.  Garbage in,
> > >garbage out.
> > >
> > >
> > >                 --Dean
> > >
> > >
> > >On Mon, 5 Sep 2005 [email-masked] wrote:
> > >
> > > >  thanks Dean.   I'll file this under "arm-chair legal advice"....
> > > >  the folks who do this for a living have given good advice to me
> > > >  on the implementation we are building.
> > > >
> > > >  The best advice one can give, unless its from a competent attorney
> > > >  who deals in IPR issues, is to get such advice.  Advice from a
> > > >  mailing list is ... less than credible.
> > > >
> > > > --bill
> > > >
> > > >
> > > > On Sun, Sep 04, 2005 at 06:17:45PM -0400, Dean Anderson wrote:
> > > > > On Thu, 1 Sep 2005, Ólafur Guðmundsson wrote:
> > > > > > Both documents have had an IPR claim filed against them. The patent
> > > > > > this has been issued in one country at the moment (Israel) but filed
> > > > > > in some other countries as well, just not approved (yet). There is a
> > > > > > license available that is royalty free, but does have some terms. So
> > > > > > implementors either don't know what to do or are ignoring it.
> > > > >
> > > > > Factor GATT requirements into that. Many countries have agreed [under
> > > > > GATT] to accept patents issued by other countries, so those patents are
> > > > > [or will be] enforceable in other GATT countries. [yes, GATT is truely
> > > > > evil, but that's another story]. You should assume that all patents
> > > > > propogate to all "civilized"  countries.
> > > > >
> > > > > > Donald Eastlake presents some drafts about cryptographic algorithms.
> > > > > >
> > > > > > First something about draft-ietf-dnsext-ecc-key-07:
> > > > > > There have been some questions in the past about patents, but
> > > > > > as far as is known, these only cover 
> > > specific implementations, not on the
> > > > > > basic theory or scheme of it, perhaps on specific equations.
> > > > >
> > > > > Umm, <speaking as LPF President> software patents almost never only cover
> > > > > specific implementations (ie object code). The issues are how fundamental
> > > > > the patent is and how broad the patent 
> > > claims are.  Do you have the patent
> > > > > numbers for the subject patents?
> > > > >
> > > > > BTW, one more word of software patent advice: Don't do patent searches,
> > > > > unless you are patenting something.  Because having done a patent search
> > > > > [and presumably thinking you've not found 
> > > anything infringing] is actually
> > > > > evidence against you for intentional infringement, which carries more
> > > > > severe penalties.  Once you've admitted 
> > > that you aren't [or just shouldn't
> > > > > be] completely ignorant of the infringed patent, you better be sure you
> > > > > are right. It is usually best to be completely ignorant of the patents so
> > > > > any infringement is unintentional. [BTW this is an argument against the
> > > > > patent system--it can't benefit the 
> > > development of science and technology]
> > > > >
> > > > > Another patent issue to be aware of: Some patent lawyers think that
> > > > > possession of [free] software implementations of patented software
> > > > > infringe on patents. I'll present a summary 
> > > of both views as accurately as
> > > > > I can.
> > > > >
> > > > > Commercial and private usage for non-research purposes plainly does
> > > > > infringe, but source code possession and research is not so clear.  For
> > > > > example, the OpenSSL distribution before 
> > > the RSA patents expired.  I don't
> > > > > think it is the case that source code 
> > > possession infringes, but its a view
> > > > > in dispute and untested in court. My view is based on the notions: That
> > > > > description of patented technology does not 
> > > infringe; That you are allowed
> > > > > to patent enhancements to prior-patents and 
> > > the prior-patent holder cannot
> > > > > prevent this; And that a working model must be available at the time of
> > > > > patent submission---you cannot patent a hypothetical device.
> > > > >
> > > > > There is an explicit right to have a description of the patented
> > > > > technology and source code is descriptive of software patents. There must
> > > > > also be an implicit right that you are that 
> > > you can use the prior-patented
> > > > > technology for research on an enhancement, and that you also must be
> > > > > allowed to use the included prior-patented technology for submission of
> > > > > your enhancement to the patent office for patenting of your enhancement.
> > > > > Otherwise, you could not patent an enhancement without the prior-patent
> > > > > holders' permission, which seems to violate the law allowing such
> > > > > enhancements.
> > > > >
> > > > > But as I said, there are expert lawyers with learned opinions who
> > > > > disagree.  Their view is based on the notion that patent gives one an
> > > > > absolute, exclusive right over the control of the technology during the
> > > > > term of the patent. In other words, they have a right not to license, and
> > > > > if they choose, a right to preventing entirely the private sector use of
> > > > > the patented technology.  They would probably argue that if you haven't
> > > > > submitted a patent application, your research isn't really research but
> > > > > just private usage that they are entitled to prohibit. In verbal "banter"
> > > > > with such lawyers, some denied entirely any implicit right to research,
> > > > > which I thought a more dubious position. There is also an argument that
> > > > > source code aids infringement, particularly binaries [This is also why I
> > > > > find Kazaa, etc 'aiding' arguments so disturbing, besides other reasons].
> > > > > There is some support for these views, and for non-trivial conflict in
> > > > > court. So far, these views are untested. You should consult your lawyer
> > > > > before deciding on a course of action which could put you at risk.  (And
> > > > > of course, you should also support the LPF and help abolish software
> > > > > patents. ;-)
> > > > >
> > > > > I should add that Av8 Internet and a couple other sites went so far as to
> > > > > mirror OpenSSL for research in the US before the RSA patents expired
> > > > > (while using only a patent-licenced version). RSA did not react. However,
> > > > > this does not conclusively mean anything.
> > > > >
> > > > > So much for the 2005 patent lecture.... ;-)
> > > > >
> > > > >
> > > > >             --Dean
> > > > >
> > > > > --
> > > > > Av8 Internet   Prepared to pay a premium for better service?
> > > > > www.av8.net         faster, more reliable, better service
> > > > > 617 344 9000
> > > > >
> > > > >
> > > > >
> > > > > --
> > > > > to unsubscribe send a message to [email-masked] with
> > > > > the word 'unsubscribe' in a single line as the message text body.
> > > > > archive: <http://ops.ietf.org/lists/namedroppers/>
> > > >
> > > >
> > >
> > >--
> > >Av8 Internet   Prepared to pay a premium for better service?
> > >www.av8.net         faster, more reliable, better service
> > >617 344 9000
> > 
> > 
> > 
> 
> 

-- 
Av8 Internet   Prepared to pay a premium for better service?
www.av8.net         faster, more reliable, better service
617 344 9000   

--
to unsubscribe send a message to [email-masked] with
the word 'unsubscribe' in a single line as the message text body.
archive: <http://ops.ietf.org/lists/namedroppers/>

---

From: "Olaf M. Kolkman" <[email-masked]>
Date: Wed, 7 Sep 2005 22:25:06 +0200

"Rat Hole Alert" [*]

Please stop this discussion.

For this working group the only relevance at this point is rough  
consensus on the technical specification and running code. We have  
neither at this point in time.

Lets get back to the technical task at hand. Compare the two proposals.

- --Olaf

[*] http://ops.ietf.org/lists/namedroppers/namedroppers.2005/ 
msg00381.html

> We want to issue is a "rat hole" alert:
> Working groups tend to discuss the validity of patent claims, the
> licensing terms and such at great lengths. In the end patent issues
> are not technical but legal issues. It is up to the implementors of
> technology under IPR to deal with these issues, not the working group.
> If the IPR prohibits implementation than the WG would like to know,
> from implementors. As rough consensus without running code does not  
> make sense.
>
> Or to paraphrase the above: we all have an opinion on IPR, this
> is not the list to rehash those.

---

From: Dean Anderson <[email-masked]>
Date: Thu, 8 Sep 2005 16:21:52 -0400 (EDT)

[CC'd to the main IETF list]

[Note:  Not very long ago, I argued persuasively to a large and broad
movement within the IETF seeking to have the IETF adopt an anti-patent
position. I took my position pragmatically on the basis that the IETF
should consider patented technology intelligently on a case-by-case basis
in order to ensure participation by pro-patent groups and organizations
whose cooperation is necessary and beneficial to the IETF. This is a
pragmatic and reasonable view;  The IETF interests in patented technology
are different from my ideological interests in abolishing software
patents, even if those interests have broad support. Interoperable
standards are more important than ideology.  Placing interoperation ahead
of ideological interests, I saw the value in having participation and
cooperation on standards regardless of ideological differences.  However,
having persuaded people to take a pragmatic and cooperative view,
pro-patent persons shouldn't try to exploit that cooperation by attempting
to prevent or suppress consideration of IPR issues by working groups.]

The statement of the WG chair (included below) is not consistent with the
IETF rules on IPR disclosure and consideration.

For your reference: RFC 3979:

6.1.1.  A Contributor's IPR in his or her Contribution

   Any Contributor who reasonably and personally knows of IPR meeting
   the conditions of Section 6.6 which the Contributor believes Covers
   or may ultimately Cover his or her Contribution, or which the
   Contributor reasonably and personally knows his or her employer or
   sponsor may assert against Implementing Technologies based on such
   Contribution, must make a disclosure in accordance with this Section
   6.

   This requirement specifically includes Contributions that are made by
   any means including electronic or spoken comments, unless the latter
   are rejected from consideration before a disclosure could reasonably
   be submitted.  An IPR discloser is requested to withdraw a previous
   disclosure if a revised Contribution negates the previous IPR
   disclosure, or to amend a previous disclosure if a revised
   Contribution substantially alters the previous disclosure.

   Contributors must disclose IPR meeting the description in this
   section; there are no exceptions to this rule.

The fact that a discussion may be legal in nature is of no relevance. We
live in a professional world bounded by legal constraints. The working
group must ensure that IETF requirements on IPR disclosure are met, and
that IPR encumbrances are properly and fully considered by the working
group participants in the selection of technology.  Patent encumbrance is
a valid basis for comparison of any proposal. And IPR encumbrance is in
fact not limited mere comparison, but even whether to adopt a given
technology at all; Rejection because of IPR encumbrance is a valid option 
to be decided on a case-by-case basis.

I do not see that the WG Chair is allowed by IETF policy to exclude or
suppress information or discussion about IPR encumbrance, which seems to
be the purpose of suppressing this discussion. This is contrary to IETF
policy, which is to have each WG intelligently consider IPR issues.

Also, the WG chair makes mention of two documents. In fact, there are 3
documents noted in the minutes which seem to have IPR encumbrances:

Two are reported in the minutes under the heading of "IPR Issues update".  
These two have IPR statements, but the IPR encumbrances have not been 
discussed or considered on list.

draft-ietf-dnsext-trustupdate-timers-00 and
draft-ietf-dnsext-trustupdate-threshold-00

However, the IPR section of the minutes has an ominous quote about these
two:

  "There is a license available that is royalty free, but does have some
   terms. So implementors either don't know what to do or are ignoring 
   it."

Clearly, more discussion should be stimulated. It should also be
worthwhile for the WG to search for and consider alternatives that aren't
patent encumbered. This issue should be discussed, not ignored or
suppressed as a "rat-hole". This "rat-hole" nonsense is just a cover for a
submarine, pro-patent attempt to avoid discussion of the IPR issues in
these documents, and perhaps avoiding the possibility of a patent-free
alternative.

But I am also concerned about a third document that is also mentioned in
the minutes.

draft-ietf-dnsext-ecc-key-07

This document does not have an IPR disclosure on the IETF IPR page.

The minutes state: 

  First something about draft-ietf-dnsext-ecc-key-07: There have been some
  questions in the past about patents, but as far as is known, these only
  cover specific implementations, not on the basic theory or scheme of it,
  perhaps on specific equations.

As the President of the League for Programming Freedom, and a leader on
the topics of Patent, Copyright, and Trademark law, I do not find this
explanation of non-infringement to be credible.  An IPR disclosure should
be made on this document. According to RFC 3979, Section 6.1.1 "there are
no exceptions to this rule".  Further, the IETF is not to take any
position on the validity of an IPR claim. The IETF can't ignore the claim
as being invalid--that would be taking a position on its validity.  The
claim has to be documented and disclosed, even if it may not be valid.

And also, the working group chairs should be directed to _encourage_
discussion and consideration of the IPR issues, not try to suppress the
discussion.

Note RFC 3979 Section 6.2:
6.2.  The Timing of Providing Disclosure

   Timely IPR disclosure is important because working groups need to
   have as much information as they can while they are evaluating
   alternative solutions.

If the WG chairs are working to suppress IPR information and discussion,
it is not available for evaluation, in violation of the purpose of section
6.2.

Dean Anderson
President of the League for Programming Freedom.

On Wed, 7 Sep 2005, Olaf M. Kolkman wrote:

> -----BEGIN PGP SIGNED MESSAGE-----
> Hash: SHA1
> 
> 
> "Rat Hole Alert" [*]
> 
> -----BEGIN PGP SIGNATURE-----
> Version: GnuPG v1.4.1 (Darwin)
> Comment: This message is locally signed.
> 
> iD8DBQFDH0yntN/ca3YJIocRAsn8AKCk1l4ZqCW/OenPsgcFWGUBWC42HQCgujeK
> jWRDXuu83+1FIWVP96Mzi4g=
> =9z4g
> -----END PGP SIGNATURE-----
> 
> --

---

From: "william(at)elan.net" <[email-masked]>
Date: Thu, 8 Sep 2005 14:14:04 -0700 (PDT)

On Thu, 8 Sep 2005, Dave Crocker wrote:

>> position. 
> my memory is slipping worse that I thought.
> i don't recall seeing evidence of the community's being persuaded.

Neverheless if I understand it, it has always been a position of IETF
to consider patented technology as being less preferable then patented
for standardization (ok, it also has a lot to do with kind of licese
patened technology has and if its available to everyone's use or not)
and that in case standardization of certain patented technology is
being considered IETF should look at if alternative to it that is
non-patented is available.

What Dean wrote makes lots of sense to me, so I primarily agree with
him, except for his typical dnsext chair bashing - I'm not sure there
is really a case there that chair is blocking discussion. I do agree
that some list members there don't like the discussion of patents, but
it appeared to be individual particupants (also it was hard to gauge
if those individual participants did not like discussions of mentioned
patent issues with dns extensions in general or if they did not like 
having discussions with Dean [on any topic] in particular).

-- 
William Leibzon
Elan Networks
[email-masked]

---

From: Dean Anderson <[email-masked]>
Date: Thu, 8 Sep 2005 18:44:38 -0400 (EDT)

Mr Crocker. I know you'd rather not give credit to anyone you disagree
with, which I suppose leaves only a preference to plagarize the work of
others and give undue credit to someone else, say, Vixie [ala the SPF/RMX
plagarism in which Vixie was improperly credited for the idea and the real
contributors and the originator of the idea were improperly removed***].  
However:

Since we [the anti-software-patent community -- and the LPF President is
an acknowledged leader of that community] mostly collectively dropped the
demand for no patents in lieu of a much more pragmatic and cooperative
view, a view that I originated and promoted, I think I can say they were
persuaded.

Of course, that must be very jarring to your world in which I represent no
one else's view, and have no valid point of view on any subject with which
you disagree.  And indeed, I would be unsurprised if your world does not
admit that I have a valid point of view even on any subject on which we
_do_ happen to agree.  I hope I don't rattle your world too much. Or
perhaps in your world, the IETF has already adopted a strict no-patent
policy. I couldn't tell. How'd that no-patent policy work out in your
world?  Did it alienate any pro-patent companies?

		--Dean

*** The SPF/RMX issue is just one example of professional dishonesty.  
Professional dishonesty is very much like academic dishonesty.  The IETF
is supposed to be a professional organization, an activity of The Internet
Society, which is a professional organization.  Improper attribution of
statements or plagarism, theft of ideas, etc in a referee'd paper would
not be acceptable in any professional or scientific journal. Plagarism,
theft of ideas, fabrication of statements, etc is unacceptable, under the
category of professional dishonesty. Particularly in official interactions
by the leadership of the IETF.  Academic dishonesty is grounds for
expulsion from higher educational institutions. Yet, professional
dishonesty at the IETF is grounds for...exactly nothing. It is hard to
consider the IETF a professional organization since it adheres to no
professional standards.  We shouldn't forget this, but it isn't my focus
at the moment. Someday, this issue should be addressed.

---

From: Dean Anderson <[email-masked]>
Date: Thu, 8 Sep 2005 19:12:10 -0400 (EDT)

> non-patented is available.

The IETF position has gone from what might be described as studious
neutrality (ie you may consider things such as licensing terms) to a
definite preference for non-encumbrance. (Section 8 of RFC 3979):

8.  Evaluating Alternative Technologies in IETF Working Groups

   In general, IETF working groups prefer technologies with no known IPR
   claims or, for technologies with claims against them, an offer of
   royalty-free licensing.  

I think many people at the IETF have no-IPR preferences, but it wasn't
written explicitly as a policy anywhere that I know of prior to RFC3979

Olaf Kolkman (WG co-chair) said:  

>Message-Id: <[email-masked]>
[...]
> Please stop this discussion.
 ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
Doesn't get plainer.

		--Dean